From 1b594a66f666f6070bb2c7bc83374ac461d6b76b Mon Sep 17 00:00:00 2001
From: Mark Reynolds <mreynolds@redhat.com>
Date: Tue, 16 Jun 2015 09:34:25 -0400
Subject: [PATCH] Ticket 47998 - remove remaining obsolete OS code/files

Description:  Removed remaining OS code (Tru64, SNI, SCO, UNIXware, etc)

https://fedorahosted.org/389/ticket/47998

Reviewed by: ?
---
 Makefile.am                                       |   1 -
 Makefile.in                                       |  22 +-
 include/base/systems.h                            | 312 +--------
 include/base/systhr.h                             |   7 -
 include/libaccess/symbols.h                       |   8 -
 include/netsite.h                                 |   2 -
 include/public/base/systems.h                     | 122 +---
 include/public/nsapi.h                            |   2 +-
 ldap/include/lthread.h                            | 402 -----------
 ldap/include/proto-ntutil.h                       | 111 ---
 ldap/servers/plugins/distrib/Makefile.AIX         |  76 ---
 ldap/servers/plugins/distrib/Makefile.BSDI        |  62 --
 ldap/servers/plugins/distrib/Makefile.IRIX        |  62 --
 ldap/servers/plugins/distrib/Makefile.OSF1        |  61 --
 ldap/servers/plugins/distrib/Makefile.ReliantUNIX |  62 --
 ldap/servers/plugins/distrib/Makefile.UnixWare    |  62 --
 ldap/servers/plugins/distrib/Makefile.UnixWareUDK |  62 --
 ldap/servers/plugins/http/http_impl.c             |  25 +-
 ldap/servers/plugins/pwdstorage/crypt_pwd.c       |   2 +-
 ldap/servers/plugins/pwdstorage/pwd_init.c        |   2 -
 ldap/servers/plugins/replication/cl5_api.c        |   2 +-
 ldap/servers/plugins/replication/repl5_init.c     |  10 -
 ldap/servers/plugins/replication/repl_shared.h    |   4 -
 ldap/servers/plugins/replication/replutil.c       |   2 -
 ldap/servers/plugins/replication/tests/makesim    |   8 -
 ldap/servers/plugins/uiduniq/plugin-utils.h       |   4 -
 ldap/servers/plugins/vattrsp_template/vattrsp.c   |  14 +-
 ldap/servers/slapd/back-ldbm/back-ldbm.h          |  10 +-
 ldap/servers/slapd/back-ldbm/index.c              |   4 -
 ldap/servers/slapd/back-ldbm/ldbm_attr.c          |   5 -
 ldap/servers/slapd/config.c                       |  13 +-
 ldap/servers/slapd/configdse.c                    |   2 -
 ldap/servers/slapd/connection.c                   |   4 +-
 ldap/servers/slapd/csngen.c                       |  11 -
 ldap/servers/slapd/daemon.c                       |  27 +-
 ldap/servers/slapd/detach.c                       |  17 -
 ldap/servers/slapd/fe.h                           |  26 -
 ldap/servers/slapd/globals.c                      |  58 +-
 ldap/servers/slapd/libglobs.c                     |  30 -
 ldap/servers/slapd/libmakefile                    |  60 +-
 ldap/servers/slapd/localhost.c                    |   4 -
 ldap/servers/slapd/main.c                         |  25 +-
 ldap/servers/slapd/ntuserpin.c                    | 214 ------
 ldap/servers/slapd/passwd_extop.c                 |   4 +-
 ldap/servers/slapd/proto-slap.h                   |  14 +-
 ldap/servers/slapd/slap.h                         |  26 +-
 ldap/servers/slapd/slapi-plugin.h                 |  13 +-
 ldap/servers/slapd/snmp_collator.c                |   9 -
 ldap/servers/slapd/ssl.c                          |  54 +-
 ldap/servers/slapd/time.c                         |   4 -
 ldap/servers/slapd/tools/ldaptool.h               |  24 -
 ldap/servers/slapd/tools/ldclt/data.c             |  21 -
 ldap/servers/slapd/tools/ldclt/ldapfct.c          | 183 -----
 ldap/servers/slapd/tools/ldclt/ldclt.c            | 217 +-----
 ldap/servers/slapd/tools/ldclt/opCheck.c          | 121 ----
 ldap/servers/slapd/tools/ldclt/port.h             |  16 -
 ldap/servers/slapd/tools/ldclt/remote.h           |  18 -
 ldap/servers/slapd/tools/ldclt/utils.c            |  95 +--
 ldap/servers/slapd/tools/migratecred.c            |   8 -
 ldap/servers/slapd/tools/mkdep.c                  |  74 --
 ldap/servers/slapd/util.c                         |   3 -
 ldap/systools/idsktune.c                          | 798 +---------------------
 ldap/systools/viewcore.c                          |   8 +-
 lib/base/dnsdmain.cpp                             |   4 +-
 lib/base/file.cpp                                 |  17 +-
 lib/base/systhr.cpp                               |   6 +-
 lib/ldaputil/examples/Certmap.mak                 | 286 --------
 lib/ldaputil/examples/Makefile                    |   5 -
 lib/ldaputil/examples/init.c                      |   7 +-
 lib/ldaputil/examples/plugin.c                    |   4 -
 lib/libaccess/symbols.cpp                         |   4 -
 71 files changed, 71 insertions(+), 3991 deletions(-)
 delete mode 100644 ldap/include/lthread.h
 delete mode 100644 ldap/include/proto-ntutil.h
 delete mode 100644 ldap/servers/plugins/distrib/Makefile.AIX
 delete mode 100644 ldap/servers/plugins/distrib/Makefile.BSDI
 delete mode 100644 ldap/servers/plugins/distrib/Makefile.IRIX
 delete mode 100644 ldap/servers/plugins/distrib/Makefile.OSF1
 delete mode 100644 ldap/servers/plugins/distrib/Makefile.ReliantUNIX
 delete mode 100644 ldap/servers/plugins/distrib/Makefile.UnixWare
 delete mode 100644 ldap/servers/plugins/distrib/Makefile.UnixWareUDK
 delete mode 100644 ldap/servers/slapd/ntuserpin.c
 delete mode 100644 lib/ldaputil/examples/Certmap.mak

diff --git a/Makefile.am b/Makefile.am
index 39fc2ee..8dcdb36 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -746,7 +746,6 @@ libslapd_la_SOURCES = ldap/servers/slapd/add.c \
 	ldap/servers/slapd/modify.c \
 	ldap/servers/slapd/modrdn.c \
 	ldap/servers/slapd/modutil.c \
-	ldap/servers/slapd/ntuserpin.c \
 	ldap/servers/slapd/object.c \
 	ldap/servers/slapd/objset.c \
 	ldap/servers/slapd/operation.c \
diff --git a/include/base/systems.h b/include/base/systems.h
index 044cb83..3ba039f 100644
--- a/include/base/systems.h
+++ b/include/base/systems.h
@@ -64,66 +64,8 @@
 
 /* --- Begin platform-specific definitions --- */
 
-#if defined(AIX)
 
-#define ACCELERATOR_CACHE
-#define AUTH_DBM
-#define BSD_RLIMIT
-#undef BSD_SIGNALS
-/* AIX can handle really big shoes */
-#define DAEMON_LISTEN_SIZE 4096
-#define DAEMON_NEEDS_SEMAPHORE
-#define DAEMON_UNIX_MOBRULE
-#define DLL_CAPABLE
-#define DLL_DLOPEN
-#define DLL_DLOPEN_FLAGS RTLD_NOW|RTLD_GLOBAL
-#define DNS_CACHE
-#define FILE_INHERIT_FCNTL
-#define FILE_MMAP_FLAGS MAP_SHARED
-#define HAS_STATFS
-#define HAVE_ATEXIT
-#define HAVE_PW_R /* reent passwd routines */
-#define HAVE_STRERROR_R
-#define HAVE_STRTOK_R
-#define HAVE_TIME_R 2 /* arg count */
-#define HAVE_STRFTIME /* no cftime */
-#define JAVA_STATIC_LINK
-#undef NEED_CRYPT_H
-#define NEED_SETEID_PROTO /* setegid, seteuid */
-#define NEED_STRINGS_H /* for strcasecmp */
-#define NET_SOCKETS
-#define SA_HANDLER_T(x) (void (*)(int))x
-#if OSVERSION < 4210
-#define SA_NOCLDWAIT 0 /* AIX < 4.2 don't got this */
-#endif /* OSVERSION < 4210 */
-#define SHMEM_MMAP_FLAGS MAP_SHARED
-#ifdef HW_THREADS
-#define THREAD_ANY
-#endif
-
-#elif defined(BSDI)
-
-#define ACCELERATOR_CACHE
-#define AUTH_DBM
-#define BSD_MAIL
-#define BSD_RLIMIT
-#define BSD_SIGNALS
-#define BSD_TIME
-#define DAEMON_UNIX_MOBRULE
-#define DNS_CACHE
-#define FILE_INHERIT_FCNTL
-#define FILE_MMAP_FLAGS (MAP_FILE | MAP_SHARED)
-#define HAS_STATFS
-#define HAVE_ATEXIT
-#undef NEED_CRYPT_PROTO
-#define NET_SOCKETS
-#ifndef NO_DOMAINNAME
-#define NO_DOMAINNAME
-#endif
-#define SHMEM_MMAP_FLAGS MAP_SHARED
-#define JAVA_STATIC_LINK
-
-#elif defined(HPUX)
+#if defined(HPUX)
 
 #define ACCELERATOR_CACHE
 #define AUTH_DBM
@@ -149,169 +91,6 @@
 /* warning: mmap doesn't work under 9.04 */
 #define SHMEM_MMAP_FLAGS MAP_FILE | MAP_VARIABLE | MAP_SHARED
 
-#elif defined (IRIX)
-
-#define ACCELERATOR_CACHE
-#define AUTH_DBM
-#define BSD_RLIMIT
-#undef BSD_SIGNALS
-#define DAEMON_UNIX_MOBRULE
-#define DLL_CAPABLE
-#define DLL_DLOPEN
-#define DLL_DLOPEN_FLAGS RTLD_NOW
-#define DNS_CACHE
-#define FILE_INHERIT_FCNTL
-#define FILE_MMAP_FLAGS MAP_SHARED
-#define HAS_STATVFS
-#define HAVE_ATEXIT
-#define HAVE_STRTOK_R
-#ifdef IRIX
-#define HAVE_TIME_R 2 /* arg count */
-#else
-#define HAVE_TIME_R 3 /* arg count */
-#define NEED_SETEID_PROTO /* setegid, seteuid */
-#endif
-#define JAVA_STATIC_LINK
-#define NEED_CRYPT_H
-#define NET_SOCKETS
-#define SA_HANDLER_T(x) (void (*)(int))x
-#define SHMEM_MMAP_FLAGS MAP_SHARED
-#define THROW_HACK throw()
-
-#elif defined(NCR)
-
-#define ACCELERATOR_CACHE
-#define AUTH_DBM
-#undef BSD_RLIMIT
-/* #define DAEMON_NEEDS_SEMAPHORE */
-#define DAEMON_UNIX_MOBRULE
-#define DLL_CAPABLE
-#define DLL_DLOPEN
-#define DLL_DLOPEN_FLAGS RTLD_NOW
-#define DNS_CACHE
-#define FILE_INHERIT_FCNTL
-#define FILE_MMAP_FLAGS MAP_SHARED
-#define HAS_STATVFS
-#define HAVE_ATEXIT
-#define HAVE_STRTOK_R
-#define JAVA_STATIC_LINK
-#define NEED_CRYPT_H
-#define NEED_FILIO
-#define NEED_GHN_PROTO
-#define NET_SOCKETS
-#define SHMEM_MMAP_FLAGS MAP_SHARED
-
-#elif defined(NEC)
-
-#define ACCELERATOR_CACHE
-#define DNS_CACHE
-#define AUTH_DBM
-#undef BSD_RLIMIT
-#define DAEMON_NEEDS_SEMAPHORE
-#define DAEMON_UNIX_MOBRULE
-#define DLL_DLOPEN
-#define DLL_DLOPEN_FLAGS RTLD_NOW
-#define DLL_CAPABLE
-#define FILE_INHERIT_FCNTL
-#define FILE_MMAP_FLAGS MAP_SHARED
-#define HAS_STATVFS
-#define HAVE_ATEXIT
-#define HAVE_STRTOK_R
-#define HAVE_TIME_R 2 /* arg count */
-#define JAVA_STATIC_LINK
-#define NEED_CRYPT_H
-#define NEED_FILIO
-#define NET_SOCKETS
-#define SHMEM_MMAP_FLAGS MAP_SHARED
-
-#elif defined(OSF1)
-
-#define ACCELERATOR_CACHE
-#define AUTH_DBM
-#define BSD_RLIMIT
-#undef BSD_SIGNALS
-#define BSD_TIME
-#define DAEMON_NEEDS_SEMAPHORE
-#define DAEMON_UNIX_MOBRULE
-#define DLL_CAPABLE
-#define DLL_DLOPEN
-#define DLL_DLOPEN_FLAGS RTLD_NOW
-#define DNS_CACHE
-#define FILE_INHERIT_FCNTL
-#define FILE_MMAP_FLAGS MAP_SHARED
-#define HAVE_ATEXIT
-#define HAVE_STRFTIME /* no cftime */
-#define HAVE_TIME_R 2 /* ctime_r arg count */
-#define NET_SOCKETS
-#define SA_HANDLER_T(x) (void (*)(int))x
-#define SHMEM_MMAP_FLAGS MAP_SHARED
-
-#elif defined(SCO)
-
-#define ACCELERATOR_CACHE
-#define AUTH_DBM
-#undef BSD_RLIMIT
-#undef BSD_SIGNALS
-#define DAEMON_NEEDS_SEMAPHORE
-#define DAEMON_UNIX_MOBRULE
-#define DLL_CAPABLE
-#define DLL_DLOPEN
-#define DLL_DLOPEN_FLAGS RTLD_NOW
-#define DNS_CACHE
-#define FILE_INHERIT_FCNTL
-#define FILE_MMAP_FLAGS MAP_SHARED
-#define HAS_STATVFS
-#define HAVE_ATEXIT
-#undef NEED_CRYPT_H
-#undef NEED_FILIO
-#undef NEED_GHN_PROTO
-#undef NEED_SETEID_PROTO /* setegid, seteuid */
-#define NET_SOCKETS
-#define SHMEM_MMAP_FLAGS MAP_SHARED
-#define SA_HANDLER_T(x) (void (*)(int))x
-
-
-#elif defined(SNI)
-
-#define ACCELERATOR_CACHE
-#define AUTH_DBM
-#undef BSD_RLIMIT
-#define DAEMON_NEEDS_SEMAPHORE
-#define DAEMON_UNIX_MOBRULE
-#define DLL_CAPABLE
-#define DLL_DLOPEN
-#define DLL_DLOPEN_FLAGS RTLD_NOW
-#define DNS_CACHE
-#define FILE_INHERIT_FCNTL
-#define FILE_MMAP_FLAGS MAP_SHARED
-#define HAS_STATVFS
-#define HAVE_ATEXIT
-#define JAVA_STATIC_LINK
-#define NEED_CRYPT_H
-#define NEED_FILIO
-#define NEED_SETEID_PROTO /* setegid, seteuid */
-#define NET_SOCKETS
-#define SHMEM_MMAP_FLAGS MAP_SHARED
-#define USE_PIPE
-/*
- * define this if your C++ platform has separate inline functions for
- * e.g. const char *strchr(const char *, char)
- *  and
- *      char *strchr(char *, char)
- * and your compiler complains about this:
- * func(const char *bla)
- * {
- *     char *fasel = strchr(bla, '.');
- * ....
- * because it says that you cannot initialize a char * with a const char *
- */
-#define HAS_CONSTVALUED_STRFUNCS
-
-/* hack for C++ platforms where bool is a keyword */
-#ifndef boolean
-#define boolean boolean
-#endif
-
 #elif defined(Linux)
 
 #define ACCELERATOR_CACHE
@@ -333,12 +112,12 @@
 #define HAS_STATFS
 #define JAVA_STATIC_LINK
 #define SA_HANDLER_T(x) (void (*)(int))(x)
-
 #undef NEED_CRYPT_PROTO
 #define NET_SOCKETS
 #ifndef NO_DOMAINNAME
 #define NO_DOMAINNAME
 #endif
+
 #elif defined(SOLARIS) || defined(SOLARISx86)
 
 #define ACCELERATOR_CACHE
@@ -369,21 +148,6 @@
 #endif
 #define SHMEM_MMAP_FLAGS MAP_SHARED
 
-#elif defined (SONY)
-
-#define AUTH_DBM
-#undef BSD_RLIMIT
-#define DAEMON_NEEDS_SEMAPHORE
-#define DAEMON_UNIX_MOBRULE
-#define DLL_CAPABLE
-#define FILE_INHERIT_FCNTL
-#define FILE_MMAP_FLAGS MAP_SHARED
-#define HAVE_ATEXIT
-#define NEED_CRYPT_H
-#define NEED_FILIO
-#define NET_SOCKETS
-#define SHMEM_MMAP_FLAGS MAP_SHARED
-
 #elif defined(SUNOS4)
 
 #define ACCELERATOR_CACHE
@@ -407,37 +171,6 @@
 #define NET_SOCKETS
 #define SHMEM_MMAP_FLAGS MAP_SHARED
 
-#elif defined(UNIXWARE) || defined(UnixWare)
-
-#define ACCELERATOR_CACHE
-#define AUTH_DBM
-#undef BSD_RLIMIT
-#define DAEMON_UNIX_MOBRULE
-#define DLL_CAPABLE
-#define DLL_DLOPEN
-#define DLL_DLOPEN_FLAGS RTLD_NOW
-#define DNS_CACHE
-#define FILE_INHERIT_FCNTL
-#define FILE_MMAP_FLAGS MAP_SHARED
-#define HAS_STATVFS
-#define HAVE_ATEXIT
-#define NEED_CRYPT_H
-#define NEED_FILIO
-#define NEED_GHN_PROTO
-#define NEED_SETEID_PROTO /* setegid, seteuid */
-#define NET_SOCKETS
-#define SHMEM_MMAP_FLAGS MAP_SHARED
-
-#ifndef boolean
-#define boolean boolean
-#endif
-
-#if defined (UnixWare)
-/* UnixWare but not UNIXWARE... */
-#define NEED_STRINGS_H /* for strcasecmp */
-#define SA_HANDLER_T(x) (void (*)(int))x
-#endif
-
 #else
 #error "Missing defines in ns/netsite/include/base/systems.h"
 #endif
@@ -483,10 +216,6 @@
 #define THREAD_NSPR_USER
 #else
 #define THREAD_NSPR_KERNEL
-#ifdef IRIX 
-#undef SEM_FLOCK
-#define SEM_IRIX
-#endif /* IRIX */
 #endif /* SW_THREADS */
 #define THREAD_ANY
 
@@ -514,43 +243,6 @@ typedef PRFileDesc *SYS_NETFD;
 #define SYS_NETFD_T PRFileDesc *
 #endif /* !SYS_NETFD_T */
 
-#ifdef SEM_WIN32
-
-typedef HANDLE SEMAPHORE;
-#define SEMAPHORE_T HANDLE
-#define SEM_ERROR NULL
-/* That oughta hold them (I hope) */
-#define SEM_MAXVALUE 32767
-
-#elif defined(SEM_IRIX)
-
-#ifndef OS_ULOCKS_H
-#include <ulocks.h>
-#define OS_ULOCKS_H
-#endif /* !OS_ULOCKS_H */
-
-typedef struct {
-    usptr_t *arena;
-    usema_t *sem;
-} semirix_s;
-typedef semirix_s* SEMAPHORE;
-#define SEMAPHORE_T semirix_s *
-#define SEM_ERROR NULL
-
-#elif defined(SEM_FLOCK)
-
-#define SEMAPHORE_T SYS_FILE
-typedef SYS_FILE SEMAPHORE;
-#define SEM_ERROR NULL
-
-#else /* ! SEM_WIN32, !SEM_IRIX */
-
-typedef int SEMAPHORE;
-#define SEMAPHORE_T int
-#define SEM_ERROR -1
-
-#endif /* SEM_WIN32 */
-
 #endif /* !APSTUDIO_READONLY_SYMBOLS */
 
 #endif /* BASE_SYSTEMS_H */
diff --git a/include/base/systhr.h b/include/base/systhr.h
index 20cc4ad..30b5bab 100644
--- a/include/base/systhr.h
+++ b/include/base/systhr.h
@@ -65,15 +65,8 @@
 
 NSPR_BEGIN_EXTERN_C
 
-#ifdef UnixWare
-typedef void(*ArgFn_systhread_start)(void *);
-NSAPI_PUBLIC
-SYS_THREAD INTsysthread_start( int prio, int stksz, \
-                              ArgFn_systhread_start, void *arg);
-#else
 NSAPI_PUBLIC
 SYS_THREAD INTsysthread_start(int prio, int stksz, void (*fn)(void *), void *arg);
-#endif
 
 NSAPI_PUBLIC SYS_THREAD INTsysthread_current(void);
 
diff --git a/include/libaccess/symbols.h b/include/libaccess/symbols.h
index f56b934..e6ff343 100644
--- a/include/libaccess/symbols.h
+++ b/include/libaccess/symbols.h
@@ -117,16 +117,8 @@ NSPR_BEGIN_EXTERN_C
 extern int symTableAddSym(void * table, Symbol_t * newsym, void * symref);
 extern void symTableRemoveSym(void * table, Symbol_t * sym);
 extern void symTableDestroy(void * table, int flags);
-
-/* for ANSI C++ on SCO UDK, otherwise fn name is managled */
-#ifdef UnixWare
-typedef int (*ArgFn_symTableEnum)(Symbol_t * sym, void * parg);
-extern void symTableEnumerate(void * table, void * argp, ArgFn_symTableEnum);
-#else /* UnixWare */
 extern void symTableEnumerate(void * table, void * argp,
                               int (*func)(Symbol_t * sym, void * parg));
-#endif /* UnixWare */
-
 extern int symTableFindSym(void * table, const char * symname,
 			   int symtype, void **psymref);
 extern int symTableNew(void **ptable);
diff --git a/include/netsite.h b/include/netsite.h
index 9147430..295e539 100644
--- a/include/netsite.h
+++ b/include/netsite.h
@@ -78,12 +78,10 @@
 #define VOID void
 #endif
 
-#ifndef SNI
 #if !defined (boolean) && !defined (__GNUC__)
 typedef int                  boolean;
 #endif
 
-#endif
 #define NS_TRUE              1
 #define NS_FALSE             0
 
diff --git a/include/public/base/systems.h b/include/public/base/systems.h
index cfd1388..049eb48 100644
--- a/include/public/base/systems.h
+++ b/include/public/base/systems.h
@@ -54,28 +54,7 @@
 
 /* --- Begin native platform configuration definitions --- */
 
-#if defined(AIX)
-
-#define FILE_UNIX
-#define FILE_UNIX_MMAP
-#define MALLOC_POOLS
-#define SEM_FLOCK
-#define SHMEM_UNIX_MMAP
-#define ZERO(ptr,len) memset(ptr,0,len)
-#define NEED_STRCASECMP
-#define NEED_STRNCASECMP
-
-#elif defined(BSDI)
-
-#define BSD_FLOCK
-#define FILE_UNIX
-#define FILE_UNIX_MMAP
-#define MALLOC_POOLS
-#define SEM_FLOCK
-#define SHMEM_UNIX_MMAP
-#define ZERO(ptr,len) memset(ptr,0,len)
-
-#elif defined(HPUX)
+#if defined(HPUX)
 
 #define FILE_UNIX
 #define FILE_UNIX_MMAP
@@ -85,78 +64,6 @@
 #define SHMEM_UNIX_MMAP
 #define ZERO(ptr,len) memset(ptr,0,len)
 
-#elif defined (IRIX)
-
-#define FILE_UNIX
-#define FILE_UNIX_MMAP
-#define MALLOC_POOLS
-#define SEM_FLOCK
-#define SHMEM_UNIX_MMAP
-#define ZERO(ptr,len) memset(ptr,0,len)
-
-#elif defined(NCR)
- 
-#define CASECMPARG_T unsigned
-#define FILE_UNIX
-#define FILE_UNIX_MMAP
-#define MALLOC_POOLS
-#define NEED_STRCASECMP
-#define NEED_STRNCASECMP
-#ifndef S_ISLNK
-#define S_ISLNK(m) (((m) & S_IFMT) == S_IFLNK)
-#endif
-#define SEM_FLOCK
-#define SHMEM_UNIX_MMAP
-#define ZERO(ptr,len) memset(ptr,0,len)
-
-#elif defined(NEC)
-
-#define FILE_UNIX
-#define FILE_UNIX_MMAP
-#define MALLOC_POOLS
-#define NEED_STRCASECMP
-#define NEED_STRNCASECMP
-#ifndef S_ISLNK
-#define S_ISLNK(m) (((m) & S_IFMT) == S_IFLNK)
-#endif
-#define SEM_FLOCK
-#define SHMEM_UNIX_MMAP
-#define ZERO(ptr,len) memset(ptr,0,len)
-
-#elif defined(OSF1)
-
-#undef BSD_FLOCK
-#define FILE_UNIX
-#define FILE_UNIX_MMAP
-#define MALLOC_POOLS
-#define SEM_FLOCK
-#define SHMEM_UNIX_MMAP
-#define ZERO(ptr,len) memset(ptr,0,len)
-
-#elif defined(SCO)
-
-#define FILE_UNIX
-#define FILE_UNIX_MMAP
-#define MALLOC_POOLS
-#define SEM_FLOCK
-#define SHMEM_UNIX_MMAP
-#define ZERO(ptr,len) memset(ptr,0,len)
-
-#elif defined(SNI)
- 
-#define CASECMPARG_T const
-#define FILE_UNIX
-#define FILE_UNIX_MMAP
-#define MALLOC_POOLS
-#define NEED_STRCASECMP
-#define NEED_STRNCASECMP
-#define SEM_FLOCK
-#define SHMEM_UNIX_MMAP
-#if 0
-#define socketpair(a,b,c,d) pipe(d)
-#endif
-#define ZERO(ptr,len) memset(ptr,0,len)
-
 #elif defined(SOLARIS) || defined (SOLARISx86)
 
 #undef	FILE_UNIX	/* avoid redefinition message */
@@ -168,16 +75,6 @@
 #define SHMEM_UNIX_MMAP
 #define ZERO(ptr,len) memset(ptr,0,len)
 
-#elif defined (SONY)
-
-#define FILE_UNIX
-#define FILE_UNIX_MMAP
-#define NEED_STRCASECMP
-#define NEED_STRNCASECMP
-#define SEM_FLOCK
-#define SHMEM_UNIX_MMAP
-#define ZERO(ptr,len) memset(ptr,0,len)
-
 #elif defined(SUNOS4)
 
 #define BSD_FLOCK
@@ -188,21 +85,6 @@
 #define SHMEM_UNIX_MMAP
 #define ZERO(ptr,len) memset(ptr,0,len)
 
-#elif defined(UNIXWARE) || defined(UnixWare)
- 
-#define CASECMPARG_T const
-#define FILE_UNIX
-#define FILE_UNIX_MMAP
-#define MALLOC_POOLS
-#define NEED_STRCASECMP
-#define NEED_STRNCASECMP
-#ifndef S_ISLNK
-#define S_ISLNK(m) (((m) & S_IFMT) == S_IFLNK)
-#endif
-#define SEM_FLOCK
-#define SHMEM_UNIX_MMAP
-#define ZERO(ptr,len) memset(ptr,0,len)
-
 #elif defined(Linux)
 
 #define FILE_UNIX
@@ -213,9 +95,7 @@
 #define ZERO(ptr,len) memset(ptr,0,len)
 
 #else
-
 #error "Missing defines in ns/netsite/include/public/base/systems.h"
-
 #endif
 
 #ifndef NSPR_BEGIN_EXTERN_C
diff --git a/include/public/nsapi.h b/include/public/nsapi.h
index 5dde361..b85a81c 100644
--- a/include/public/nsapi.h
+++ b/include/public/nsapi.h
@@ -54,7 +54,7 @@
 
 #include "base/systems.h"
 
-#if defined(FILE_UNIX_MMAP) || defined(FILE_WIN32_MMAP)
+#if defined(FILE_UNIX_MMAP)
 #define FILE_MMAP
 #endif
 
diff --git a/ldap/servers/plugins/http/http_impl.c b/ldap/servers/plugins/http/http_impl.c
index 98d0506..4da46cc 100644
--- a/ldap/servers/plugins/http/http_impl.c
+++ b/ldap/servers/plugins/http/http_impl.c
@@ -88,23 +88,14 @@ extern "C" {
 #define LDAP_DEBUG_PLUGIN	0x10000		/* 65536 */
 
 /* debugging stuff */
-#    ifdef _WIN32
-       extern int	*module_ldap_debug;
-#      define LDAPDebug( level, fmt, arg1, arg2, arg3 )	\
-       { \
-		if ( *module_ldap_debug & level ) { \
-		        slapd_log_error_proc( NULL, fmt, arg1, arg2, arg3 ); \
-	    } \
-       }
-#    else /* _WIN32 */
-       extern int	slapd_ldap_debug;
-#      define LDAPDebug( level, fmt, arg1, arg2, arg3 )	\
-       { \
-		if ( slapd_ldap_debug & level ) { \
-		        slapd_log_error_proc( NULL, fmt, arg1, arg2, arg3 ); \
-	    } \
-       }
-#    endif /* Win32 */
+
+extern int	slapd_ldap_debug;
+#define LDAPDebug( level, fmt, arg1, arg2, arg3 )	\
+{ \
+  if ( slapd_ldap_debug & level ) { \
+    slapd_log_error_proc( NULL, fmt, arg1, arg2, arg3 ); \
+  } \
+}
 
 #ifdef __cplusplus
 }
diff --git a/ldap/servers/plugins/pwdstorage/crypt_pwd.c b/ldap/servers/plugins/pwdstorage/crypt_pwd.c
index cdf3831..0656fd7 100644
--- a/ldap/servers/plugins/pwdstorage/crypt_pwd.c
+++ b/ldap/servers/plugins/pwdstorage/crypt_pwd.c
@@ -49,7 +49,7 @@
 #include <string.h>
 #include <sys/types.h>
 #include <sys/socket.h>
-#if defined( hpux ) || defined ( AIX ) || defined (LINUX) || defined (OSF1)
+#if defined( hpux ) || defined (LINUX)
 #ifndef __USE_XOPEN
 #define __USE_XOPEN     /* linux */
 #endif /* __USE_XOPEN */
diff --git a/ldap/servers/plugins/pwdstorage/pwd_init.c b/ldap/servers/plugins/pwdstorage/pwd_init.c
index 4678f31..964986c 100644
--- a/ldap/servers/plugins/pwdstorage/pwd_init.c
+++ b/ldap/servers/plugins/pwdstorage/pwd_init.c
@@ -271,7 +271,6 @@ ssha512_pwd_storage_scheme_init( Slapi_PBlock *pb )
         return( rc );
 }
 
-#ifndef _WIN32
 int
 crypt_pwd_storage_scheme_init( Slapi_PBlock *pb )
 {
@@ -296,7 +295,6 @@ crypt_pwd_storage_scheme_init( Slapi_PBlock *pb )
 	slapi_log_error( SLAPI_LOG_PLUGIN, plugin_name, "<= crypt_pwd_storage_scheme_init %d\n\n", rc );
 	return( rc );
 }
-#endif
 
 int
 clear_pwd_storage_scheme_init( Slapi_PBlock *pb )
diff --git a/ldap/servers/plugins/replication/cl5_api.c b/ldap/servers/plugins/replication/cl5_api.c
index 81c0408..0d9b8d9 100644
--- a/ldap/servers/plugins/replication/cl5_api.c
+++ b/ldap/servers/plugins/replication/cl5_api.c
@@ -164,7 +164,7 @@
  * pointers are allocated 8 bytes but lower 4 bytes are used.
  * The value 0 means use the default stacksize.
  */
-#if defined (OSF1) || defined (__LP64__) || defined (_LP64) /* 64-bit architectures need bigger stacks */
+#if defined (__LP64__) || defined (_LP64) /* 64-bit architectures need bigger stacks */
 #if defined(__hpux) && defined(__ia64)
 #define DEFAULT_THREAD_STACKSIZE        524288L
 #else
diff --git a/ldap/servers/plugins/replication/repl5_init.c b/ldap/servers/plugins/replication/repl5_init.c
index 8e2f114..5800d50 100644
--- a/ldap/servers/plugins/replication/repl5_init.c
+++ b/ldap/servers/plugins/replication/repl5_init.c
@@ -70,18 +70,8 @@ nsslapd-plugindescription: Multi-Master Replication Plugin
 #include "repl.h"
 #include "repl5.h"
 #include "cl5.h"			 /* changelog interface */
-
 #include "plstr.h"
 
-/* #ifdef _WIN32
-int *module_ldap_debug = 0;
-
-void plugin_init_debug_level(int *level_ptr)
-{
-	module_ldap_debug = level_ptr;
-}
-#endif*/
-
 #define NSDS_REPL_NAME_PREFIX	"Netscape Replication"
 
 static char *start_oid_list[] = {
diff --git a/ldap/servers/plugins/replication/repl_shared.h b/ldap/servers/plugins/replication/repl_shared.h
index 9a0d014..62d1f4e 100644
--- a/ldap/servers/plugins/replication/repl_shared.h
+++ b/ldap/servers/plugins/replication/repl_shared.h
@@ -51,11 +51,7 @@
 #include "slapi-plugin.h"
 #include "ldif.h" /* GGOODREPL - is this cheating? */
 
-#ifdef _WIN32
-#define FILE_PATHSEP '\\'
-#else
 #define FILE_PATHSEP '/'
-#endif
 
 #define	CHANGELOGDB_TRIM_INTERVAL	300 /* 5 minutes */
 #define	CHANGELOGDB_COMPACT_INTERVAL	2592000 /* 30 days */
diff --git a/ldap/servers/plugins/replication/replutil.c b/ldap/servers/plugins/replication/replutil.c
index e861f33..47c08aa 100644
--- a/ldap/servers/plugins/replication/replutil.c
+++ b/ldap/servers/plugins/replication/replutil.c
@@ -50,12 +50,10 @@
 #include <string.h>
 #include <sys/types.h>
 #include <errno.h>
-#ifndef _WIN32
 #include <sys/file.h>
 #include <sys/socket.h>
 #include <unistd.h>
 #include <fcntl.h>
-#endif
 #ifdef OS_solaris
 #include <dlfcn.h>	/* needed for dlopen and dlsym */
 #endif /* solaris: dlopen */
diff --git a/ldap/servers/plugins/replication/tests/makesim b/ldap/servers/plugins/replication/tests/makesim
index 235a350..b9e17fc 100755
--- a/ldap/servers/plugins/replication/tests/makesim
+++ b/ldap/servers/plugins/replication/tests/makesim
@@ -54,20 +54,12 @@ include $(LDAP_SRC)/nsldap.mk
 
 LDFLAGS	+= $(EXLDFLAGS)
 
-ifeq ($(ARCH), WINNT)
-SUBSYSTEM=console
-endif
-
 DEPLIBS=
 
 EXTRA_LIBS_DEP = 
 
 EXTRA_LIBS =
 
-ifeq ($(ARCH), WINNT)
-EXTRA_LIBS += user32.lib
-endif
-
 DNP_SIM = $(addsuffix $(EXE_SUFFIX), \
 	$(addprefix $(BINDIR)/, dnp_sim))
 
diff --git a/ldap/servers/plugins/uiduniq/plugin-utils.h b/ldap/servers/plugins/uiduniq/plugin-utils.h
index 0fe65b3..ddd125c 100644
--- a/ldap/servers/plugins/uiduniq/plugin-utils.h
+++ b/ldap/servers/plugins/uiduniq/plugin-utils.h
@@ -71,10 +71,6 @@
 #include "slapi-plugin-compat4.h"
 #include <stdio.h>
 #include <string.h>
-#ifdef _WINDOWS
-#undef strcasecmp
-#define strcasecmp strcmpi
-#endif
 
 #ifdef LDAP_DEBUG
 #ifndef DEBUG
diff --git a/ldap/servers/plugins/vattrsp_template/vattrsp.c b/ldap/servers/plugins/vattrsp_template/vattrsp.c
index 6e14269..22714fa 100644
--- a/ldap/servers/plugins/vattrsp_template/vattrsp.c
+++ b/ldap/servers/plugins/vattrsp_template/vattrsp.c
@@ -47,13 +47,11 @@
 #include "slapi-plugin.h"
 #include "slapi-private.h"
 #include "vattr_spi.h"
+#include <sys/stat.h>
 
 /* the global plugin handle */
 static volatile vattr_sp_handle *vattr_handle = NULL;
 
-#include <sys/stat.h>
-
-
 #define VATTRSP_PLUGIN_SUBSYSTEM   "vattrsp-template-plugin"   /* used for logging */
 
 /* function prototypes */
@@ -89,22 +87,12 @@ static int vattrsp_vattr_types(
 		int flags
 		);
 
-
 static Slapi_PluginDesc pdesc = { "vattrexamplesp", VENDOR, DS_PACKAGE_VERSION,
 	"vattr service provider example plugin" };
 
 static void * vattrsp_plugin_identity = NULL;
 
 
-#ifdef _WIN32
-int *module_ldap_debug = 0;
-
-void plugin_init_debug_level(int *level_ptr)
-{
-	module_ldap_debug = level_ptr;
-}
-#endif
-
 /*
  * Plugin identity mgmt
  * --------------------
diff --git a/ldap/servers/slapd/back-ldbm/back-ldbm.h b/ldap/servers/slapd/back-ldbm/back-ldbm.h
index 074aa4c..c7bfd68 100644
--- a/ldap/servers/slapd/back-ldbm/back-ldbm.h
+++ b/ldap/servers/slapd/back-ldbm/back-ldbm.h
@@ -45,7 +45,7 @@
 #ifndef _BACK_LDBM_H_
 #define _BACK_LDBM_H_
 
-#if defined(irix) || defined(AIX) || defined(HPUX11) || defined(OS_solaris) || defined(linux)
+#if defined(HPUX11) || defined(OS_solaris) || defined(linux)
 /* built-in 64-bit file I/O support */
 #define DB_USE_64LFS
 #endif
@@ -717,14 +717,6 @@ typedef struct tag_dblayer_handle dblayer_handle;
 /* This structure was moved here from perfctrs.c so the ldbm_instance structure
  * could use it. */
 struct _perfctrs_private {
-#if defined(_WIN32)
-	/* Handle to the shared memory object */
-	HANDLE hMemory;
-	/* Handle to the update event */
-	HANDLE hEvent;
-#else
-	/* Nothing yet */
-#endif
 	/* Pointer to the shared memory */
 	void *memory;
 };
diff --git a/ldap/servers/slapd/back-ldbm/index.c b/ldap/servers/slapd/back-ldbm/index.c
index 0d9ac33..22e264e 100644
--- a/ldap/servers/slapd/back-ldbm/index.c
+++ b/ldap/servers/slapd/back-ldbm/index.c
@@ -44,10 +44,6 @@
 /* index.c - routines for dealing with attribute indexes */
 
 #include "back-ldbm.h"
-#if ( defined ( OSF1 ))
-#undef BUFSIZ
-#define BUFSIZ	1024
-#endif
 
 static const char *errmsg = "database index operation failed";
 
diff --git a/ldap/servers/slapd/back-ldbm/ldbm_attr.c b/ldap/servers/slapd/back-ldbm/ldbm_attr.c
index 81481cf..ac5c653 100644
--- a/ldap/servers/slapd/back-ldbm/ldbm_attr.c
+++ b/ldap/servers/slapd/back-ldbm/ldbm_attr.c
@@ -1033,11 +1033,6 @@ static int replace_filter(Slapi_Filter	*f, char *s)
 {
 	Slapi_Filter	*newf = NULL;
 	Slapi_Filter	*temp = NULL;
-/* LP: Fix for defect 515161. Crash on AIX
- * slapi_str2filter is a nasty function that mangle whatever gets passed in.
- * AIX crashes on altering the literal string.
- * So we need to allocate the string and then free it.
- */
 	char *buf = slapi_ch_strdup(s);
 
 	newf = slapi_str2filter(buf);
diff --git a/ldap/servers/slapd/config.c b/ldap/servers/slapd/config.c
index d003f70..0e63258 100644
--- a/ldap/servers/slapd/config.c
+++ b/ldap/servers/slapd/config.c
@@ -58,18 +58,11 @@
 
 #define MAXARGS	1000
 
-
-extern int		should_detach;
+extern int should_detach;
 extern Slapi_PBlock	*repl_pb;
-
-
 extern char*   slapd_SSL3ciphers;
-
-#ifndef _WIN32
 extern char	*localuser;
-#endif
-
-char*		rel2abspath( char * );
+char* rel2abspath( char * );
 
 /*
   See if the given entry has an attribute with the given name and the
@@ -251,7 +244,6 @@ slapd_bootstrap_config(const char *configdir)
 					continue;
 				}
 				/* increase file descriptors */
-#if !defined(AIX)
 				if (!maxdescriptors[0] &&
 					entry_has_attr_and_value(e, CONFIG_MAXDESCRIPTORS_ATTRIBUTE,
 									 maxdescriptors, sizeof(maxdescriptors)))
@@ -265,7 +257,6 @@ slapd_bootstrap_config(const char *configdir)
 								  CONFIG_MAXDESCRIPTORS_ATTRIBUTE, errorbuf);
 					}
 				}
-#endif /* !defined(AIX) */
 
 				/* see if we need to enable error logging */
 				if (!logenabled[0] &&
diff --git a/ldap/servers/slapd/configdse.c b/ldap/servers/slapd/configdse.c
index 954d446..6ab3dfd 100644
--- a/ldap/servers/slapd/configdse.c
+++ b/ldap/servers/slapd/configdse.c
@@ -74,9 +74,7 @@ static const char *requires_restart[] = {
     "cn=config:nsslapd-changelogmaxentries",
     "cn=config:nsslapd-changelogmaxage",
     "cn=config:nsslapd-db-locks",
-#if !defined(_WIN32) && !defined(AIX)
     "cn=config:nsslapd-maxdescriptors",
-#endif
     "cn=config:" CONFIG_RETURN_EXACT_CASE_ATTRIBUTE,
     "cn=config:" CONFIG_SCHEMA_IGNORE_TRAILING_SPACES,
     "cn=config,cn=ldbm:nsslapd-idlistscanlimit",
diff --git a/ldap/servers/slapd/connection.c b/ldap/servers/slapd/connection.c
index 3ea0576..899d99a 100644
--- a/ldap/servers/slapd/connection.c
+++ b/ldap/servers/slapd/connection.c
@@ -43,11 +43,9 @@
 #include <stdio.h>
 #include <string.h>
 #include <sys/types.h>
-#ifndef _WIN32
 #include <sys/time.h>
 #include <sys/socket.h>
 #include <stdlib.h>
-#endif
 #include <signal.h>
 #include "slap.h"
 #include "prcvar.h"
@@ -1523,7 +1521,7 @@ connection_threadmain()
 #ifdef ENABLE_NUNC_STANS
 	enable_nunc_stans = config_get_enable_nunc_stans();
 #endif
-#if defined( OSF1 ) || defined( hpux )
+#if defined( hpux )
 	/* Arrange to ignore SIGPIPE signals. */
 	SIGNAL( SIGPIPE, SIG_IGN );
 #endif
